libstdc++: std::atomic< long long > Struct Reference

libstdc++

std::atomic< long long > Struct Reference
Atomics

`#include <atomic>`

## Public Types
typedef __atomic_base< long long > | __base_type
typedef long long | __integral_type
using | value_type

## Public Member Functions
constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
bool | compare_exchange_strong (long long &__e, long long __i, memory_order __s, memory_order __f) noexcept
bool | compare_exchange_weak (long long &__e, long long __i, memory_order __s, memory_order __f) noexcept
long long | exchange (long long __i, memory_order __m=memory_order_seq_cst) noexcept
bool | is_lock_free () const noexcept
long long | load (memory_order __m=memory_order_seq_cst) const noexcept
| operator long long () const noexcept
| operator long long () const volatile noexcept
atomic & | operator= (const atomic &) volatile =delete
atomic & | operator= (const atomic &)=delete
void | store (long long __i, memory_order __m=memory_order_seq_cst) noexcept

## Detailed Description

Explicit specialization for long long.

Definition at line 956 of file atomic.

## Member Typedef Documentation

## ◆ __base_type

typedef __atomic_base<long long> std::atomic< long long >::__base_type

Definition at line 959 of file atomic.

## ◆ __integral_type

typedef long long std::atomic< long long >::__integral_type

Definition at line 958 of file atomic.

## ◆ value_type

using std::atomic< long long >::value_type

Definition at line 202 of file atomic.

## Constructor & Destructor Documentation

## ◆ atomic()

std::atomic< long long >::atomic | ( | __integral_type | __i | ) |
| inlineconstexprnoexcept

Definition at line 967 of file atomic.

## Member Function Documentation

## ◆ compare_exchange_strong()

bool std::atomic< long long >::compare_exchange_strong | ( | long long & | __e,
|  | long long | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inlinenoexcept

Definition at line 383 of file atomic.

## ◆ compare_exchange_weak()

bool std::atomic< long long >::compare_exchange_weak | ( | long long & | __e,
|  | long long | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inlinenoexcept

Definition at line 355 of file atomic.

## ◆ exchange()

long long std::atomic< long long >::exchange | ( | long long | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inlinenoexcept

Definition at line 332 of file atomic.

## ◆ is_lock_free()

bool std::atomic< long long >::is_lock_free | ( |  | ) | const
| inlinenoexcept

Definition at line 277 of file atomic.

## ◆ load()

long long std::atomic< long long >::load | ( | memory_order | __m = memory_order_seq_cst | ) | const
| inlinenoexcept

Definition at line 314 of file atomic.

## ◆ operator long long() [1/2]

std::atomic< long long >::operator long long | ( |  | ) | const
| inlinenoexcept

Definition at line 262 of file atomic.

## ◆ operator long long() [2/2]

std::atomic< long long >::operator long long | ( |  | ) | const volatile
| inlinenoexcept

Definition at line 265 of file atomic.

## ◆ store()

void std::atomic< long long >::store | ( | long long | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inlinenoexcept

Definition at line 298 of file atomic.

The documentation for this struct was generated from the following file:

- atomic